Bug 488077 - Satellite installer needs to remove packages decommissioned in previous releases
Satellite installer needs to remove packages decommissioned in previous releases
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-03-02 10:02 EST by Milan Zázrivec
Modified: 2014-05-09 06:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-03-02 10:02:49 EST
Description of problem:
There were couple of packages decommissioned in past Satellite releases that
persist in the system even after the upgrade. With Satellite 5.3.0 many
packages were renamed and some of the renamed packages do not provide packages
that they obsolete (reason: they are not backward compatible) -- for example
np-config & NPusers are being obsoleted (but not provided) by nocpulse-common.

Presence of these packages may cause problems when doing upgrades (package
upgrade part). Satellite installer (install.pl) needs to remove these packages
from system before it starts with the actual package upgrade.

List of decommissioned packages that need to be removed:
* LongLegs
* Time-System
* bdb_perl
* aspectwerkz
* attrib4j
* ehcache
* FcntlLock
* perl-Mail-Alias
* saxpath
* scdb_accessor_perl
* tsdb_accessor_perl
* perl-Business-CreditCard
* perl-Class-Factory-Util
* perl-Crypt-CAST5_PP
* perl-Crypt-Rijndael

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 3.7.1 on RHEL-4
2. Upgrade it all the way to some of the recent 5.3.0 snapshots
3. Check that none of the packages listed above is present
  
Actual results:
N/A

Expected results:
N/A

Additional info:
Satellite installer (install.pl) should ask the user if one wishes to have
these packages (or at least those from the list present in the system) removed
and print a warning message in case the answer is no.
Comment 1 Brandon Perkins 2009-03-03 11:51:17 EST
This has always been like that, so making it a Future Feature.  Hopefully it will get approved for a release in the near future.
Comment 2 Clifford Perry 2014-05-09 06:38:23 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.